#!/bin/bash

# Explanation of some arguments:
# -MG tells gcc to ignore errors from missing header files, which is
#   important in Triton because some of them are autogenerated and won't exist
#   yet when we run this tool.
# -MM tells gcc not to bother including system header files.  Our
#   build is slow enough already so it isn't worth it.
# -x c tells gcc to pretend like the input file is a c file regardless of
#   filename extension.  This is useful for cases where we want gcc to
#   generate dependencies on raw .ae files.
DIR=$1
shift
if [ -n "$DIR" ] ; then
    DIR="$DIR"/
fi
exec $CC -x c -M -MM -MG $CFLAGS $1 | sed -e "s@^\(.*\)\.o:@$DIR\1.d $DIR\1.o :@"
